#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.10
visibility:           public
id:                   primitive-extras-0.10.1.10-6CZA0eXNfAGBK7quMADx5f
key:                  primitive-extras-0.10.1.10-6CZA0eXNfAGBK7quMADx5f
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  589a7122445aaa8fcee9fd5bff8f76cf
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.10
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.10-6CZA0eXNfAGBK7quMADx5f
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    deferred-folds-0.9.18.6-BAdT3R2KeTYJXQZ4rrtCjd
    focus-1.0.3.2-D5SPk4UVGx2F1Z82JrAdwZ
    foldl-1.4.15-125rAFRZ5BZDEIk4IyfMBw
    list-t-1.0.5.4-DMPTpOPo8YeJrKNQddDZJa
    primitive-0.7.4.0-3MecjX0EG9nEyOtRD6f3ja
    primitive-unlifted-0.1.3.1-APcClfepwEKGcIIIBAX2dJ
    profunctors-5.6.2-BQOtmbK4nTiLrPboMDWWfi
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

